<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>HTML</title>

		<link rel="stylesheet" type="text/css" href="style.css">

	</head>
	<body>
		<ul style="background: grey; padding: 20px; border-radius: 10px;">
			<li style="display: inline-block;margin-left: 50px;"><a href="index.html">Accueil</a></li>
			<li style="display: inline-block;margin-left: 50px;"><a href="evolution.html">Evolution de HTML</a></li>
			<li style="display: inline-block;margin-left: 50px;"><a href="framset.html">Le système framset</a></li>
			<li style="display: inline-block;margin-left: 50px;"><a href="exemple.html">Exemples</a></li>
		</ul>	
		<section>
			<h2> Decouvrez les nouvelles pratiques du HTML </h2>
				<h3> 1989-1992 : Origine </h3>
				
				<p> l'HTML est une des trois inventions à la base du World Wide Web.<br/>
				Avec le Hypertext Transfer Protocol HTTP , et les adresses web. <br/>
				HTML a été inventé pour permettre d'écrire des documents hypertextuels liant les différentes ressources d'internet avec des hyperlien </p>
				
				<p> Aujourd'hui , ces documents sont appelés PageWeb <br/>
				En août 1991 , lorsque <em> Tim Berners-Lee </em> annonce publiquement le web sur <strong>Usenet</strong> , il ne cite que le langage <strong> SGML (Standard Generalized Markup Language). </strong> <br/>
		</section>
		<section>
			<h2> Le SGML </h2>
			
			
				<p>SGML > est un langage de description à balises de norme ISO | 8879:1986 , par Charles Goldfarb , Edward Mosher , et Raymond Lorie .</p>
				<p>il est donc destiné à encapulser l'ancien langage Script , trop lié physiquement aux possibilités techniques des imprimantes .</p>
				<p>On le reconnais par le fichier spécial nommé profil, ainsi qu'une bibliothèque de macros , il indiquent comment seront interprétées les marques.</p>
				<p>La célèbrité de ce langage rend alors <em> Goldfarb </em> vite célèbre , qui prend donc alors une décission de quitter cette compagnie , pour développer un succeseur de GML , appelé (SGML).</p>
				<p>Les <em> Communautés européennes </em> s'associent à ce développement novateur dés 1984 , et adoptent alors le SGML comme standard pour leurs trés nombreuses publications  officiels , dans le cadre du proket <strong> FORMEX </strong> Formalized Echange of electronic publications.</p>
				<p>Elles développent aussi Mark-It le premier <em>parser SGML </em> , qui ne souffre pas de restrictions par rapport aux spécifications les plus avancées du <em> sGML. </em></p>
				<p>L'un des principes fondamentaux sur lequel repose le <em> SGML </em> est la séparation complète entre la structure logique d'un documents ex: <i> titre, chapitres, paragraphes, illustrations ... </i>,qui dépend alors du support de présentation ex: <i> livre , journal , écran , graphique même </i> .</p>
			
			
			<p> il est définie en dehors du document dans une ou plusieurs <strong> feuilles de style </strong> ex: <i> police, style, taille, couleur des caractère , alignement et espacement des paragraphes </i> </p>.
			<p> En bref : plus de 90% de la documentation est écrite en <em> GML </em> , il a beaucoup facilité en France le travail des avionneurs <strong>Airbus</strong> reprenant ainsi la documentation de la <strong> SNECMA </strong> .</p> 
			<p> <em> Dan Connolly </em>  a aidé à faire de HTML une véritable application de SGML </p>
		</section>
		<section>
			<h2>Quelques dates</h2>
				<p>1993 : Apports de NCSA Mosaic (rendu du web interactif) > HTML 0.1</p>
				<p>1993 : le terme HTML + est utilisé pour désigner la version future de HTML.</p>
				<p>1990 : HTML est principalement défini par les implémentations des navigateurs . Avec le <strong> NCSA Mosaic </strong> ex: invention <img> uniquement aux formats GIF et XBM aux pages web (Mosaic 0.10).</p>				
				<p>Ensuite l'invention des formulaires (Mosaic 2.0 pre5) , qui rend alors le web intéractif , en permettant aux visiteurs de saisir des données , dans les page ainsi les envoyer au <em> serveur web </em>. Cette invention permet notamment de passer des commandes , donc d'utiliser le web pour faire du <em> commerce électronique. </em></p>
				<p>1994 : Apports de Netscape Navigator ( Document Object Model ) <i> (DOM) </i></p>
		</section>
		<section>

			<h2> L'avenir du HTML : sans numéro de version ? </h2>
		
			<p>Janvier 2011, des divergences de points de vue entre Ian Hickson </a>  (ingénieur chez Google) , qui écrit la spécification HTML 5, et les membres du groupe de travail du W3C , qui conduit alors le WHATWG à créer HTML Living Standard </a>littéralement : standard vivant du HTML Une spécification de HTML prévue pour être en constante évolution, afin de coller avec les développements rapide de nouvelles fonctionnalités par les développeurs de navigateur .</p>

			<p> le HTML Living Standard a pour but d'inclure le HTML 5, et de le developper en permanance. En particulier, dans la version du 22 août 2012 le documents expliquent que le HTML 5 du W3C, publié le 22 juin 2012, est basé sur une version du HTML Living Standard, mais que le HTML "LS" ne s'arrête PAS à cette version , et continue à évoluer, Il développe en particulier les différences entre la version W3C.</p>

		</section>
		<section>
			



		</section>

	<footer>
		<p>© Dijon Dev Squad 2016</p>
	</footer>	
	</body>	
</html>